From fdc8243947828233c9d959cbec0a0946ff3788cd Mon Sep 17 00:00:00 2001
From: Konstantin Shabanov <mail@etehtsea.me>
Date: Tue, 11 May 2021 18:20:46 +0700
Subject: [PATCH 1/3] Reorder headers inclusion

Otherwise it gets overriden silently instead of build failure like
this one (in case of global variables conflict):

In file included from w32image.c:32:
w32common.h:45:3: error: expected identifier before numeric constant
   45 |   OS_NT
      |   ^~~~~
---
 src/w32fns.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/w32fns.c b/src/w32fns.c
index 66baeaecbd..43bee6147b 100644
--- a/src/w32fns.c
+++ b/src/w32fns.c
@@ -41,13 +41,10 @@ #define _WIN32_WINNT 0x0600
 #include "buffer.h"
 #include "keyboard.h"
 #include "blockinput.h"
 #include "coding.h"
 
-#include "w32common.h"
-#include "w32inevt.h"
-
 #ifdef WINDOWSNT
 #include <mbstring.h>
 #include <mbctype.h>	/* for _getmbcp */
 #endif /* WINDOWSNT */
 
@@ -71,10 +68,13 @@ #define _WIN32_WINNT 0x0600
 
 #include <dlgs.h>
 #include <imm.h>
 #include <windowsx.h>
 
+#include "w32common.h"
+#include "w32inevt.h"
+
 #ifndef FOF_NO_CONNECTED_ELEMENTS
 #define FOF_NO_CONNECTED_ELEMENTS 0x2000
 #endif
 
 extern int w32_console_toggle_lock_key (int, Lisp_Object);
-- 
2.31.1

